﻿local ADDONNAME= ...
local VERSION = GetAddOnMetadata(ADDONNAME,"Version")
function MiniHudWallet_OnLoad(self)
	self:RegisterEvent("ADDON_LOADED");			--AddOn Loaded
	self:RegisterEvent("PLAYER_MONEY");			--Money Changed
end
function MiniHudWallet_OnEvent(self, event, ...)
	if (event == "ADDON_LOADED") then
 		if (...) == ADDONNAME then
			DEFAULT_CHAT_FRAME:AddMessage(ADDONNAME.." "..VERSION.." Loaded.");
		SetBackdropData(MiniHudWallet)
		end
	end
	MiniHudWallet_Update();
end
function SetBackdropData(frame)
	frame:SetBackdrop({
		bgFile = "Interface\\Tooltips\\UI-Tooltip-Background",
		edgeFile = "Interface\\Tooltips\\UI-Tooltip-Border",
		tile = true,
		tileEdge = true,
		tileSize = 16,
		edgeSize = 16,
		insets = { left = 5, right = 5, top = 5, bottom = 5 },
	})
	frame:SetBackdropColor(TOOLTIP_DEFAULT_BACKGROUND_COLOR.r, TOOLTIP_DEFAULT_BACKGROUND_COLOR.g, TOOLTIP_DEFAULT_BACKGROUND_COLOR.b)
	frame:SetBackdropBorderColor(TOOLTIP_DEFAULT_COLOR.r, TOOLTIP_DEFAULT_COLOR.g, TOOLTIP_DEFAULT_COLOR.b)
	
end
function MiniHudWallet_Update()
	MiniHudWalletFrameText:SetText(GetCoinTextureString(GetMoney()));
	MiniHudWallet:SetWidth (MiniHudWalletFrameText:GetStringWidth() + 20);
	MiniHudWallet:SetHeight(MiniHudWalletFrameText:GetStringHeight() + 20);
end
SLASH_MiniHudWallet1 = '/mhw';	--/Commands
function SlashCmdList.MiniHudWallet(msg)
	local param = {};
	if msg == nil or msg == ""  or msg == "help" then
		-- Show help text
		print("MiniHUD:Wallet: Help")
		print("/mhw help - Show this help text.")
		print("/mhw reset - Reset Frame Position.")
	elseif msg == "reset" then
		print("MiniHUD:Wallet: Resetting frame position.")
		MiniHudWallet:ClearAllPoints()
		MiniHudWallet:SetPoint("CENTER", UIParent, "CENTER")
	end
end
